MuleService (Mule ESB 2.2.1 API)
Keywords: org.mule.module.management.mbean.MuleService class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.mbean
Class MuleService

    java.lang.Object
      org.mule.module.management.mbean.MuleService

All Implemented Interfaces:
  MuleServiceMBean

    public class MuleService

extends Object
implements MuleServiceMBean

`MuleService` exposes certain Mule server functions for management

Field Summary
`protected Log` | `logger` logger used by this class

Constructor Summary
`MuleService(MuleContext muleContext)`

Method Summary
`void` | `dispose()`
`String` | `getBuildDate()` Deprecated. use getBuildNumber() instead
`String` | `getBuildNumber()`
`String` | `getConfigBuilderClassName()` Contains value of option -builder
`String` | `getCopyright()`
`long` | `getFreeMemory()`
`String` | `getHostIp()`
`String` | `getHostname()`
`String` | `getInstanceId()`
`String` | `getJdkVersion()`
`String` | `getLicense()`
`long` | `getMaxMemory()`
`String` | `getOsVersion()`
`String` | `getServerId()`
`Date` | `getStartTime()`
`long` | `getTotalMemory()`
`String` | `getVendor()`
`String` | `getVersion()`
`boolean` | `isInitialised()`
`boolean` | `isStopped()`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected transient Log logger

  logger used by this class

Constructor Detail

### MuleService

    public MuleService(MuleContext muleContext)

Method Detail

### isInitialised

    public boolean isInitialised()

  Specified by:
    `isInitialised` in interface `MuleServiceMBean`

### isStopped

    public boolean isStopped()

  Specified by:
    `isStopped` in interface `MuleServiceMBean`

### getStartTime

    public Date getStartTime()

  Specified by:
    `getStartTime` in interface `MuleServiceMBean`

### getVersion

    public String getVersion()

  Specified by:
    `getVersion` in interface `MuleServiceMBean`

### getVendor

    public String getVendor()

  Specified by:
    `getVendor` in interface `MuleServiceMBean`

### start

    public void start()
               throws MuleException

  Specified by:
    `start` in interface `MuleServiceMBean`
  Throws:
    `MuleException`

### stop

    public void stop()
              throws MuleException

  Specified by:
    `stop` in interface `MuleServiceMBean`
  Throws:
    `MuleException`

### dispose

    public void dispose()
                 throws MuleException

  Specified by:
    `dispose` in interface `MuleServiceMBean`
  Throws:
    `MuleException`

### getFreeMemory

    public long getFreeMemory()

  Specified by:
    `getFreeMemory` in interface `MuleServiceMBean`

### getMaxMemory

    public long getMaxMemory()

  Specified by:
    `getMaxMemory` in interface `MuleServiceMBean`

### getTotalMemory

    public long getTotalMemory()

  Specified by:
    `getTotalMemory` in interface `MuleServiceMBean`

### getServerId

    public String getServerId()

  Specified by:
    `getServerId` in interface `MuleServiceMBean`

### getHostname

    public String getHostname()

  Specified by:
    `getHostname` in interface `MuleServiceMBean`

### getHostIp

    public String getHostIp()

  Specified by:
    `getHostIp` in interface `MuleServiceMBean`

### getOsVersion

    public String getOsVersion()

  Specified by:
    `getOsVersion` in interface `MuleServiceMBean`

### getJdkVersion

    public String getJdkVersion()

  Specified by:
    `getJdkVersion` in interface `MuleServiceMBean`

### getCopyright

    public String getCopyright()

  Specified by:
    `getCopyright` in interface `MuleServiceMBean`

### getLicense

    public String getLicense()

  Specified by:
    `getLicense` in interface `MuleServiceMBean`

### getBuildDate

    public String getBuildDate()

  Deprecated. use getBuildNumber() instead

  Specified by:
    `getBuildDate` in interface `MuleServiceMBean`

### getBuildNumber

    public String getBuildNumber()

  Specified by:
    `getBuildNumber` in interface `MuleServiceMBean`

### getInstanceId

    public String getInstanceId()

  Specified by:
    `getInstanceId` in interface `MuleServiceMBean`

### getConfigBuilderClassName

    public String getConfigBuilderClassName()

  Description copied from interface: `MuleServiceMBean`
  Contains value of option -builder

  Specified by:
    `getConfigBuilderClassName` in interface `MuleServiceMBean`
  Returns:
    builder class name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.